///// Compile with this file to generate an EXE.
///// Otherwise, compile without a Main() to generate a DLL.

///// The name of the generated object is taken from the name of the
///// first input file.
method Main()
{
   var trig := new Trig.Init();
   
   var ra1 := new RightAscension.Init(6,0,0);
   var dc1 := new Declination.Init(-45,0,0);
   var p1  := new CelestialPoint.Init(ra1, dc1);

   var ra2 := new RightAscension.Init(7,14,0);
   var dc2 := new Declination.Init(60,20,0);
   var p2  := new CelestialPoint.Init(ra2, dc2);
   
   var ang := trig.AngularDistance(p1, p2);

   print ra1.ToTenthDeg();
   print "\n";

   print dc1.ToTenthDeg();
   print "\n";

   print ra2.ToTenthDeg();
   print "\n";

   print dc2.ToTenthDeg();
   print "\n";

   print ang;
}
